Trin til opgradering af Ruby Installer til Windows fra 1.8.6 til 1.8.7

Indlæg af Hanne Mølgaard Plasc

Problem



Jeg skal opgradere Ruby fra 1.8.6 til 1.8.7 på Windows, og jeg bruger installationsprogrammet med et klik. Jeg bruger ikke SCITE (jeg bruger RubyMine, men jeg tror ikke, det gør nogen forskel).


Hvis nogen har gjort det med succes, ville jeg sætte pris på at vide, hvilke trin du tog. For eksempel afinstallerede du 1.8.6 først? Jeg går ud fra, at jeg senere skal installere ædelstene manuelt, men ikke plugins? Og er der nogen faldgruber at passe på?


Tak

Bedste reference


Hvis du installerede Ruby ved hjælp af One-Click Installer, foreslår jeg, at du forlader denne installation alene og installerer nyere RubyInstaller i en ny mappe.


RubyInstaller og One-Click er meget forskellige i tekniske aspekter, hvilket kan påvirke din opgraderingsvej (tilsidesætte eller installere oven på det)


Også den gamle One-Click Installer havde den dårlige vane med at fjerne dine ædelstene og tilpasninger, noget der kunne få dig til at trække dit hår.


Min anbefaling ville være:



  1. Få en liste over alle dine installerede ædelstene (gem list), hvis du vil installere dem igen

  2. Installer RubyInstaller i en anden mappe (som standard er C:Ruby187)

  3. Installer dine manglende ædelstene



Hvis du bruger Rails og Bundler, er det ikke nødvendigt at gemme installationen ud over gem install bundler.


Håber dette hjælper.

Andre referencer 1


min mening:


Afinstaller ruby ​​1.8.6 og installer 1.8.7.


du behøver ikke bekymre dig om ædelstene, i det mindste hvis du bruger rails3, kan du køre en bundinstallation til et projekt, og alting gøres automatisk (du vil nok komme ind i problemer, hvis du bruger mysql2, men til udvikling, sqlite3 eller den gamle mysql vil være fint)